Bug 1342498 - python-instant: python3-instant requires both Python 2 and Python 3
Summary: python-instant: python3-instant requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-instant
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:51 UTC by Tomas Orsava
Modified: 2016-09-30 15:52 UTC (History)
4 users (show)

Fixed In Version: python-instant-2016.1.0-1.fc26 python-instant-1.6.0-5.fc25 python-instant-1.6.0-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:35:51 UTC


Attachments (Terms of Use)
Update to 2016.1.0 version (4.95 KB, patch)
2016-09-01 11:07 UTC, Jan Beran
no flags Details | Diff
Update to 2016.1.0 version (4.94 KB, patch)
2016-09-08 14:24 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-06-03 11:51:15 UTC
The python3-instant RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Jan Kurik 2016-07-26 04:38:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Beran 2016-09-01 11:07:05 UTC
Created attachment 1196738 [details]
Update to 2016.1.0 version

Comment 3 Jan Beran 2016-09-08 14:24:38 UTC
Created attachment 1199131 [details]
Update to 2016.1.0 version

Small update to fix redundant sum/summary

Comment 4 Lumír Balhar 2016-09-09 06:51:42 UTC
Hello, Honzo.

New version of specfile looks good to me and it solving dependency issue.

If maintainer has nothing against, we can push this change after a week.

Have a nice day.

$ rpm -qp --requires ~/rpmbuild/RPMS/python3-instant-2016.1.0-1.fc26.noarch.rpm 
/usr/bin/python3
python(abi) = 3.5
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --requires ~/rpmbuild/RPMS/python2-instant-2016.1.0-1.fc26.noarch.rpm 
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 5 Miro Hrončok 2016-09-20 12:29:41 UTC
I've built this in rawhide, however the bug itself is also relevant in F24 and F25, but the fix comes with unnecessary update.

I will isolate the fix and push it to F25 and F24.

Comment 6 Fedora Update System 2016-09-20 12:44:14 UTC
python-instant-1.6.0-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ca69a3b71

Comment 7 Fedora Update System 2016-09-20 12:46:49 UTC
python-instant-1.6.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a6d1416ea

Comment 8 Fedora Update System 2016-09-20 19:56:20 UTC
python-instant-1.6.0-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ca69a3b71

Comment 9 Fedora Update System 2016-09-22 01:25:17 UTC
python-instant-1.6.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a6d1416ea

Comment 10 Fedora Update System 2016-09-27 00:35:51 UTC
python-instant-1.6.0-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-30 15:52:12 UTC
python-instant-1.6.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.